\name{estimateParameters}
\alias{estimateParameters}
\title{\code{estimateParameters} estimates the calibration parameters and concentrantions}
\usage{
  estimateParameters(Signals, Calibrators, fitStructure,
    verbose = FALSE)
}
\arguments{
  \item{Signal}{a data.frame with columns "index" (numeric,
  the block numbering), "cab" (factor, indicating the
  capture antibody names), "signal" (numeric, the signal
  values), "lysate" (numeric, the fraction of lysate on the
  block), "condition" (numeric, the numbered lysate
  conditions), "sigma" (numeric, the standard error of the
  signal calculated by the error model. Alternatively, the
  user can specify other values, e.g. standard error of the
  mean.)}

  \item{Calibrators}{data.frame with columns "index"
  (numeric, giving the block numbering), "purpose" (factor,
  only a subset of Calibrators with purpose=="target" is
  used. If Calibrators is the output of generateSetup,
  purpose will be either "calibrator" or "target".), "name"
  (factor, the target names), "concentration" (numeric, the
  known target concentrations due to the calibrators),
  "lysate" (numeric, the fraction of lysate on the block),
  "condition" (numeric, numbering the different lysate
  conditions. Indices without lysate must have condition
  0!)}

  \item{fitStructure}{data.frame with fixed values for the
  calibration parameters with the columns "cab" (factor,
  naming the capture antibodies), one numeric column for
  each target name (with the target name as column name),
  "saturation" (numeric, the saturation level, i.e. 1 for
  no saturation and >1 for saturation), "offset" (numeric,
  the signal background parameters).}

  \item{verbose}{bool, print extra information in the
  console. Defaults to FALSE.}
}
\value{
  data.frame with columns "condition" (numeric, the lysate
  conditions), "purpose" (factor, usually "target"), "name"
  (factor, the target names), "concentration" (numeric, the
  estimated target concentrations), "sigma" (numeric, the
  estimated gaussian uncertainty of the concentrations).
}
\description{
  \code{estimateParameters} estimates the calibration
  parameters and concentrantions
}

