\name{generateSetup}
\alias{generateSetup}
\title{\code{generateSetup} uses a setup data.frame to generate
a latin hypercube sample of calibrator concentrations.}
\usage{
  generateSetup(setup)
}
\arguments{
  \item{setup}{a data.frame with the entries target
  (character/factor), wells (numeric), min (numeric), max
  (numeric) and a column for each calibrator with its
  content of target protein.}
}
\value{
  a data.frame with the target samples (purpose = target)
  and the corresponding calibrator sample (purpose =
  calibrator). Returns attributes "setup" with the setup
  dataframe, "targetSample", a matrix of target
  concentrations and "calibratorSample", a matrix of
  calibrator concentrations
}
\description{
  \code{generateSetup} uses a setup data.frame to generate
  a latin hypercube sample of calibrator concentrations.
}

