\name{getErrorModel}
\alias{getErrorModel}
\title{\code{gerErrorModel} estimates error model parameters from a max-likelihood fit}
\usage{
  getErrorModel(Signal, factors = c("cab", "lysate"),
    errormodel = "s0^2+srel^2*x^2",
    pars = c(s0 = 10, srel = 0.1), df = 100, ...)
}
\arguments{
  \item{Signal}{a data.frame with columns "index" (numeric,
  the block numbering), "cab" (factor, indicating the
  capture antibody names), "signal" (numeric, the signal
  values), "lysate" (numeric, the fraction of lysate on the
  block), "error" (numeric, the standard error of the
  signal)}

  \item{factors}{character vector from which factor
  variable is constructed, defaults to c("cab", "lysate"),
  i.e. one set of error parameters for each combiination of
  cab and lysate.}

  \item{errormodel}{character with the error model to be
  fitted. Should contain "x", indicating the signal. The
  result of the formula should be the variance. Defaults to
  "s0^2 + srel^2*x^2".}

  \item{pars}{named vector with the initial guesses for the
  error model parameters}

  \item{df}{numeric, indicating the number of replicates
  that have been used to compute the standard error.}

  \item{...}{futher arguments passed to \code{optim}.}
}
\value{
  data.frame with the original \code{Signal}, columns for
  the estimated error parameters and the final prediction
  of uncertainty, i.e. a \code{sigma} column of the signal
  uncertainty based on the error model parameters.
}
\description{
  \code{gerErrorModel} estimates error model parameters
  from a max-likelihood fit
}

