\name{plotVariance}
\alias{plotVariance}
\title{\code{plotVariance} plots the signal vs. the standard error together
with a regression line or the error model, if available in Signal.}
\usage{
  plotVariance(Signal, cabs = unique(Signal$cab),
    indices = unique(Signal$index))
}
\arguments{
  \item{Signal}{a data.frame with columns "index" (numeric,
  the block numbering), "cab" (factor, indicating the
  capture antibody names), "signal" (numeric, the signal
  values), "lysate" (numeric, the fraction of lysate on the
  block), "error" (numeric, the standard error of the
  signal). If the data.frame contains "sigma", it is
  assumed that sigma represents a better estimate of the
  standard error based on an error model (see
  \code{getErrorModel})}

  \item{cab}{character, the names of the capture antibodies
  to be plotted, all if nothing is specified}

  \item{index}{numeric, an index vector of the blocks to be
  plotted. Defaults to all blocks.}
}
\value{
  a ggplot2 object
}
\description{
  \code{plotVariance} plots the signal vs. the standard
  error together with a regression line or the error model,
  if available in Signal.
}

